Version of Cuda and GPU driver for GTS250

Hello All,

I am using GTS250 GPU on my intel i7 Desktop with Ubuntu 14.04…

I want to install Cuda on this so i can run my GPU code here…

I tried to install Cuda 7.5 on this but after installation and reboot i faced issues with re-login so from ctrl+alt+F1 i removed nvidia driver by sudo apt-get remove --purge nvidia* command…

Now i tried to re-install CUDA driver with nvidia-331 package and nvidia-current package from synaptic .I am able to compile cuda code from nvcc but runtime it’s showing error like "Driver version is inefficient " …

Can anybody help to know which cuda version and Nvidia driver version should i use with GTS250 graphics card…

Any help is highly appreciated…

Use a 340.xx driver version along with CUDA 6.5

GPUs that are as old as GTS250 were deprecated in CUDA 6.5 and support was dropped in CUDA 7.0. If you search around on this board you will find other questions like yours, that can discuss more specifics.

Thanks for your quick response…

Still i m struggling with GPU driver compatible with MY GTS250 GPU…

As you suggested i installed CUDA 6.5 by using .deb package for Ubuntu 14.04 :

sudo dpkg -i cuda-repo-ubuntu1404_6.5-14_amd64.deb
sudo apt-get install cuda-6-5

after installation when i reboot it … i am not able to re-login on ubuntu…

I believe GPU driver which comes with Cuda 6.5 doesn’t support GTS250…

Is there any way out i can install cuda and GPU driver(340.xx version as you suggested ) separately ??

Correct me if my understanding is wrong ?

Any help is highly appreciated…

The login problem is a separate issue and does not mean that the GPU driver which comes with CUDA 6.5 doesn’t support GTS250. If you search around on this site you’ll find various descriptions of the login problem and what to do about it.

Since you were able to get things working with the 331 driver, you could go back to that if you wish and use CUDA 6.0 instead of CUDA 6.5.

Thanks for your response…

Solved issue by installing first 340.xx driver and then installing cuda from .run file and while running .run i mentioned not to install GPU driver as i installed it previously…

After this i needed to install additional libraries mentioned in Getting started Linux guide and nvidia-uvm package…

One more thing i observed is while compiling using nvcc i need to pass flag arch=compute_11 for GTS250…